cancel
Showing results for 
Search instead for 
Did you mean: 

PHP Extension intl is not supported by my hosting provider , any alternative to continue install ?

PHP Extension intl is not supported by my hosting provider , any alternative to continue install ?

I have a shared hosting and trying to install Magento, i was getting an error for the missing "PHP Extension intl." 

When i checked with my hosting support they said they dont enable this as it is a shared hosting and asking me to buy dedicated hosting. 

 

is there any alternative to the PHP Extension intl. or i should enable the "PHP Extension intl." in order to continue installing magento in a shared hosting environment ?

 

 

 

5 REPLIES

Re: PHP Extension intl is not supported by my hosting provider , any alternative to continue install

Topic moved to the Installing Magento 2 section. Smiley Happy

 

Unfortunately Magento 2 will require the PHP extension intl to work. 

 

You will need to be able to enable this extension or go with another provider that have this PHP extension enabled if you want to install Magento 2. 

James Lee | Moderator • Magento Master
See My Recommended Magento Hosting & Security Tips

Re: PHP Extension intl is not supported by my hosting provider , any alternative to continue install

Further, I recommend to read the Magento 2 System Requirements before choosing a hosting for Magento 2: http://devdocs.magento.com/guides/v2.0/install-gde/system-requirements.html

Re: PHP Extension intl is not supported by my hosting provider , any alternative to continue install

is there a prior version i can install which does not require PHP Extension intl.

Re: PHP Extension intl is not supported by my hosting provider , any alternative to continue install

Magento 1.9.x

Re: PHP Extension intl is not supported by my hosting provider , any alternative to continue install

Magento 2 has following system requirements:

 

Web servers:

  • Apache 2.4 or 2.2 (In addition, the apache mod_rewrite module must be enabled. mod_rewrite enables the server to perform URL rewriting)

OR

  • Nginx 1.8 (or latest mainline version)

 

Database:

  • MySQL 5.7.x

OR

  • MySQL 5.6.x

 

PHP:

  • 7.0.x

OR

  • 5.6.x

OR

  • 5.5.x (Magento no longer supports PHP 5.4.x)

 

Before we begin with Magento 2 installation. Magento 2 requires some extensions support for PHP. Make sure you have the following PHP extensions installed and enabled on your Server:

 

 

For more information about Magento 2 system requirements, visit Magento official website.

 

If you are unable to do so, I would like to suggest you the dedicated or Cloud hosting platforms like AWS, DigitalOceans, Cloudways etc.


Fayyaz Khattak,
Magento Community Manager,
Cloudways.
Twitter: https://twitter.com/fay_khattak
LinkedIn: https://pk.linkedin.com/in/muhammad-fayyaz-uddin-khattak-2a2b34110